Bug 124675 - CRASH: after moving the content down and undoing
Summary: CRASH: after moving the content down and undoing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: tdf#114306-regressions
  Show dependency treegraph
 
Reported: 2019-04-11 08:40 UTC by Xisco Faulí
Modified: 2019-05-15 20:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-04-11 08:40:04 UTC Comment hidden (obsolete)
Comment 1 Xisco Faulí 2019-04-11 08:43:31 UTC
Regression introduced by:

author	Manfred Blume <manfred.blume@cib.de>	2017-12-08 15:01:51 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-12-22 00:20:40 +0100
commit	18765b9fa739337d2d891513f6e2fb7c3ce23b50 (patch)
tree	61acc1c9001d529d0df88affe48310187784cc99
parent	baaf6c12c8e9f785dc91e5d3db8b2f5072d4e3f5 (diff)
tdf#114306 fix unexpected page break in row-spanned table

Bisected with: bibisect-linux64-6.1

Adding Cc: to Manfred Blume
Comment 2 Xisco Faulí 2019-04-11 08:47:06 UTC
Steps to reproduce:
1. Open attachment 129209 [details] from bug 87764
2. Hold the return key for a few seconds until it reaches half of second page
3. Hold Ctrl + Z

-> Crash!

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 040a54d89e8ca33171e86647ced8dc58efd85fbe
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

but not in

Version: 6.3.0.0.alpha0+
Build ID: d31d77b7199ecc9a7edc899d9703e9da52d5cbd1
CPU threads: 1; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-04-01_00:04:09
Locale: es-ES (es_ES); UI-Language: en-US
Calc: threaded

thus, only Linux
Comment 3 Commit Notification 2019-05-09 08:54:37 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cc5916cd314a27b0cc99560ab887480026630a95%5E%21

tdf#124675 sw: fix crash when moving SwTextFrame in table to prev page

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2019-05-09 08:59:11 UTC
fixed on master
Comment 5 Xisco Faulí 2019-05-09 11:14:20 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 82d018b402219b5452bb08aac2c060031bbc3298
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-05-10 11:27:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/232b467083dd3b55f261bebe084e696bee200ec9%5E%21

tdf#124675 sw: fix crash when moving SwTextFrame in table to prev page

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-05-13 07:53:42 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-4":

https://git.libreoffice.org/core/+/a813b7bf01f6399a0a58e99c0dab85548c154198%5E%21

tdf#124675 sw: fix crash when moving SwTextFrame in table to prev page

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-05-15 20:57:06 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bdad00277330cf49439fd86a87b8e025e946a098%5E%21

uitest for bug tdf#124675

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.